#!/bin/sh

./hwdisc3 -fhwdisc-3.dat

# Smart Array P600 Controller
# PCI ID: 103C3220103C3225
./ifhw hwdisc-3.dat allboards.xml "PCI:Smart Array P600 Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Smart Array P600 Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cciss
  modprobe cciss
fi

# Intel(R) 6300ESB/82801FR SATA Controller
# PCI ID: 808625A30E113201
./ifhw hwdisc-3.dat allboards.xml "PCI:Intel(R) 6300ESB/82801FR SATA Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Intel(R) 6300ESB/82801FR SATA Controller"

  echo modprobe libata
  modprobe libata
  echo modprobe ata_piix
  modprobe ata_piix
fi

# HP 6 Port SATA RAID Controller
# PCI ID: 90050285103C3227
./ifhw hwdisc-3.dat allboards.xml "PCI:HP 6 Port SATA RAID Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "HP 6 Port SATA RAID Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe aacraid
  modprobe aacraid
fi

# Intel(R) 82801FR SATA RAID Controller
# PCI ID: 80862652103C3206
./ifhw hwdisc-3.dat allboards.xml "PCI:Intel(R) 82801FR SATA RAID Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Intel(R) 82801FR SATA RAID Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe aarich
  modprobe aarich
fi

# Intel(R) 82801FR SATA RAID Controller
# PCI ID: 808626520E113206
./ifhw hwdisc-3.dat allboards.xml "PCI:Intel(R) 82801FR SATA RAID Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Intel(R) 82801FR SATA RAID Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe aarich
  modprobe aarich
fi

# Intel(R) 6300ESB Ultra ATA Storage/SATA Controller
# PCI ID: 808626520E113201
./ifhw hwdisc-3.dat allboards.xml "PCI:Intel(R) 6300ESB Ultra ATA Storage/SATA Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Intel(R) 6300ESB Ultra ATA Storage/SATA Controller"

  echo modprobe libata
  modprobe libata
  echo modprobe ata_piix
  modprobe ata_piix
fi

# Smart Array 641 Controller
# PCI ID: 0E1100460E11409A
./ifhw hwdisc-3.dat allboards.xml "PCI:Smart Array 641 Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Smart Array 641 Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cciss
  modprobe cciss
fi

# Embedded ATA Controller
# PCI ID: 1166021211660212
./ifhw hwdisc-3.dat allboards.xml "PCI:Embedded ATA Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Embedded ATA Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
fi

# HP Integrated PCI IDE Controller
# PCI ID: 102274690E113204
./ifhw hwdisc-3.dat allboards.xml "PCI:HP Integrated PCI IDE Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "HP Integrated PCI IDE Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
fi

# Smart Array 642 Controller
# PCI ID: 0E1100460E11409B
./ifhw hwdisc-3.dat allboards.xml "PCI:Smart Array 642 Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Smart Array 642 Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cciss
  modprobe cciss
fi

# Smart Array 640X Controller
# PCI ID: 0E1100460E11409C
./ifhw hwdisc-3.dat allboards.xml "PCI:Smart Array 640X Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Smart Array 640X Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cciss
  modprobe cciss
fi

# Smart Array 6i Controller
# PCI ID: 0E1100460E114091
./ifhw hwdisc-3.dat allboards.xml "PCI:Smart Array 6i Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Smart Array 6i Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cciss
  modprobe cciss
fi

# Smart Array 6400 U320 Expansion Module
# PCI ID: 0E1100460E11409D
./ifhw hwdisc-3.dat allboards.xml "PCI:Smart Array 6400 U320 Expansion Module" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Smart Array 6400 U320 Expansion Module"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cciss
  modprobe cciss
fi

# Fibre Channel Array Controller
# PCI ID: 0E11A0FC0E11A0FC
./ifhw hwdisc-3.dat allboards.xml "PCI:Fibre Channel Array Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Fibre Channel Array Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cpqfc
  modprobe cpqfc
  echo modprobe scsi_debug
  modprobe scsi_debug
fi

# Smart Array 5300 Controller
# PCI ID: 0E11B0600E114070
./ifhw hwdisc-3.dat allboards.xml "PCI:Smart Array 5300 Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Smart Array 5300 Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cciss
  modprobe cciss
fi

# Smart Array 5i Controller
# PCI ID: 0E11B1780E114080
./ifhw hwdisc-3.dat allboards.xml "PCI:Smart Array 5i Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Smart Array 5i Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cciss
  modprobe cciss
fi

# Smart Array 532 Controller
# PCI ID: 0E11B1780E114082
./ifhw hwdisc-3.dat allboards.xml "PCI:Smart Array 532 Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Smart Array 532 Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cciss
  modprobe cciss
fi

# Smart Array 5312 Controller
# PCI ID: 0E11B1780E114083
./ifhw hwdisc-3.dat allboards.xml "PCI:Smart Array 5312 Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Smart Array 5312 Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cciss
  modprobe cciss
fi

# 64-bit 133 MHz-non intelligent-Dual-Channel Ultra-320 Host BUS Adapter
# PCI ID: 100000300E1100DA
./ifhw hwdisc-3.dat allboards.xml "PCI:64-bit 133 MHz-non intelligent-Dual-Channel Ultra-320 Host BUS Adapter" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "64-bit 133 MHz-non intelligent-Dual-Channel Ultra-320 Host BUS Adapter"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe mptbase
  modprobe mptbase
  echo modprobe mptctl
  modprobe mptctl
  echo modprobe mptscsih
  modprobe mptscsih
fi

# HP Single Channel Ultra320 SCSI HBA G2
# PCI ID: 10000030103C3108
./ifhw hwdisc-3.dat allboards.xml "PCI:HP Single Channel Ultra320 SCSI HBA G2" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "HP Single Channel Ultra320 SCSI HBA G2"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe mptbase
  modprobe mptbase
  echo modprobe mptctl
  modprobe mptctl
  echo modprobe mptscsih
  modprobe mptscsih
fi

# HP Single Channel Ultra320 SCSI HBA G2
# PCI ID: 100000300E1100F4
./ifhw hwdisc-3.dat allboards.xml "PCI:HP Single Channel Ultra320 SCSI HBA G2" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "HP Single Channel Ultra320 SCSI HBA G2"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe mptbase
  modprobe mptbase
  echo modprobe mptctl
  modprobe mptctl
  echo modprobe mptscsih
  modprobe mptscsih
fi

# Dual Channel Wide Ultra2 SCSI Controller
# PCI ID: 1000000A0E11B143
./ifhw hwdisc-3.dat allboards.xml "PCI:Dual Channel Wide Ultra2 SCSI Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Dual Channel Wide Ultra2 SCSI Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe sym53c8xx
  modprobe sym53c8xx
fi

# Dual Channel Wide Ultra2 SCSI Controller
# PCI ID: 1000000B0E117004
./ifhw hwdisc-3.dat allboards.xml "PCI:Dual Channel Wide Ultra2 SCSI Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Dual Channel Wide Ultra2 SCSI Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe sym53c8xx
  modprobe sym53c8xx
fi

# Wide-Ultra SCSI Controller
# PCI ID: 1000000F0E117004
./ifhw hwdisc-3.dat allboards.xml "PCI:Wide-Ultra SCSI Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Wide-Ultra SCSI Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe sym53c8xx
  modprobe sym53c8xx
fi

# Integrated Smart Array Controller
# PCI ID: 100000100E114040
./ifhw hwdisc-3.dat allboards.xml "PCI:Integrated Smart Array Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Integrated Smart Array Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cpqarray
  modprobe cpqarray
fi

# RAID LC2 Controller
# PCI ID: 100000100E114048
./ifhw hwdisc-3.dat allboards.xml "PCI:RAID LC2 Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "RAID LC2 Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cpqarray
  modprobe cpqarray
fi

# Smart Array 4200 Controller
# PCI ID: 101100460E114050
./ifhw hwdisc-3.dat allboards.xml "PCI:Smart Array 4200 Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Smart Array 4200 Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cpqarray
  modprobe cpqarray
fi

# Smart Array 4250ES Controller
# PCI ID: 101100460E114051
./ifhw hwdisc-3.dat allboards.xml "PCI:Smart Array 4250ES Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Smart Array 4250ES Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cpqarray
  modprobe cpqarray
fi

# Smart Array 431 Controller
# PCI ID: 101100460E114058
./ifhw hwdisc-3.dat allboards.xml "PCI:Smart Array 431 Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Smart Array 431 Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe cpqarray
  modprobe cpqarray
fi

# Ultra ATA/100 Controller
# PCI ID: 109506490E110045
./ifhw hwdisc-3.dat allboards.xml "PCI:Ultra ATA/100 Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Ultra ATA/100 Controller"

fi

# Integrated Ultra ATA/100 IDE Controller
# PCI ID: 109506490E11005D
./ifhw hwdisc-3.dat allboards.xml "PCI:Integrated Ultra ATA/100 IDE Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Integrated Ultra ATA/100 IDE Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe megaide
  modprobe megaide
fi

# Integrated Ultra ATA-100 IDE RAID Controller
# PCI ID: 109506490E11007E
./ifhw hwdisc-3.dat allboards.xml "PCI:Integrated Ultra ATA-100 IDE RAID Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "Integrated Ultra ATA-100 IDE RAID Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe megaide
  modprobe megaide
fi

# CSB-6 Ultra ATA-100 IDE RAID Controller
# PCI ID: 116602130E1100E8
./ifhw hwdisc-3.dat allboards.xml "PCI:CSB-6 Ultra ATA-100 IDE RAID Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "CSB-6 Ultra ATA-100 IDE RAID Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe lsicsb6
  modprobe lsicsb6
fi

# 64-bit-66 MHz-Wide Ultra3 SCSI Host Bus Adapter
# PCI ID: 900500800E11E2A0
./ifhw hwdisc-3.dat allboards.xml "PCI:64-bit-66 MHz-Wide Ultra3 SCSI Host Bus Adapter" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "64-bit-66 MHz-Wide Ultra3 SCSI Host Bus Adapter"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe aic7xxx
  modprobe aic7xxx
fi

# 64-bit-66 MHz-Dual-Channel-Wide Ultra3 SCSI Host Bus Adapter
# PCI ID: 900500C00E11F620
./ifhw hwdisc-3.dat allboards.xml "PCI:64-bit-66 MHz-Dual-Channel-Wide Ultra3 SCSI Host Bus Adapter" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "64-bit-66 MHz-Dual-Channel-Wide Ultra3 SCSI Host Bus Adapter"

  echo modprobe scsi_mod
  modprobe scsi_mod
  echo modprobe sd_mod
  modprobe sd_mod
  echo modprobe aic7xxx
  modprobe aic7xxx
fi

# CSB-6 Ultra ATA-100 IDE RAID Controller
# PCI ID: 1166021311660212
./ifhw hwdisc-3.dat allboards.xml "PCI:CSB-6 Ultra ATA-100 IDE RAID Controller" 2>/dev/null
if [ $? = 0 ]; then
  echo Found "CSB-6 Ultra ATA-100 IDE RAID Controller"

  echo modprobe scsi_mod
  modprobe scsi_mod
fi
